> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction details

> Get transaction details by transaction id



## OpenAPI

````yaml openapi/bonus-v1.json GET /v1/transactions/{id}
openapi: 3.0.4
info:
  title: Accounting.Api
  version: v1
servers:
  - url: https://{host}/bonus
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/transactions/{id}:
    get:
      tags:
        - Service2Service
      summary: Get transaction details
      description: Get transaction details by transaction id
      parameters:
        - name: id
          in: path
          description: Transaction Id
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Accounting.Api.CQRS.Queries.GetTransaction.Response
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
components:
  schemas:
    Accounting.Api.CQRS.Queries.GetTransaction.Response:
      type: object
      properties:
        transactionId:
          type: integer
          description: Unique transaction id.
          format: int64
        amount:
          type: number
          description: Original transaction amount.
          format: double
        state:
          $ref: '#/components/schemas/Accounting.Domain.Entities.TransactionState'
        type:
          type: string
          description: Transaction type.
          nullable: true
        operationId:
          type: string
          description: Unique identifier of the operation used for transaction creation.
          nullable: true
        operations:
          type: array
          items:
            $ref: >-
              #/components/schemas/Accounting.Api.CQRS.Queries.GetTransaction.Operation
          description: List of operations in scope of transaction.
          nullable: true
        remainingReservedAmount:
          type: number
          description: Remaining reserved amount which can be captured or canceled.
          format: double
        remainingCapturedAmount:
          type: number
          description: Remaining captured amount which can be refunded.
          format: double
        metadata:
          type: object
          additionalProperties:
            nullable: true
          description: >-
            Metadata of the transaction. This field can be updated within a
            transaction.
          nullable: true
      additionalProperties: false
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
    Accounting.Domain.Entities.TransactionState:
      enum:
        - Waiting
        - Successful
        - Cancelled
      type: string
    Accounting.Api.CQRS.Queries.GetTransaction.Operation:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/Accounting.Api.CQRS.Queries.GetTransaction.OperationType
        amount:
          type: number
          description: Amount which has been affected by the operation.
          format: double
        creationDate:
          type: string
          description: Operation creation date.
          format: date-time
      additionalProperties: false
    Accounting.Api.CQRS.Queries.GetTransaction.OperationType:
      enum:
        - Reserve
        - Capture
        - Cancel
        - Refund
      type: string
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````